/**
  *  \file resmgr/res-wpvcr.h
  *  \brief Winplan WPVCR.DLL Resource Provider
  *
  *  (c) 2001-2007 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_RESMGR_RES_WPVCR_H
#define PCC_V2_RESMGR_RES_WPVCR_H

#include "resmgr/resmgr.h"
#include "io/streams.h"
#include "cpluslib/string.h"

class ResProviderWinplanVcr : public ResSimpleProvider {
    enum { ENTRIES = 160 };
    Ptr<SubStream> file;
    uint32 offsets[2][ENTRIES];
    uint16 sizes[2][ENTRIES];
    void init();
 public:
    ResProviderWinplanVcr(Ptr<Stream> file);
    ResProviderWinplanVcr(string_t name);
    ~ResProviderWinplanVcr();

    void loadPixmap(ResManager& mgr, ResId id);
};

#endif
